Bug 28177

Summary: Add date column and column configuration to uploads
Product: Koha Reporter: Owen Leonard <oleonard>
Component: ToolsAssignee: Owen Leonard <oleonard>
Status: RESOLVED FIXED QA Contact: Testopia <testopia>
Severity: enhancement    
Priority: P5 - low CC: jonathan.druart+koha, kyle, lucas, salman.ali, testopia
Version: master   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.11.00
Bug Depends on: 28175    
Bug Blocks: 29747    
Attachments: Bug 28177: Add date column and column configuration to uploads
Bug 28177: Add date column and column configuration to uploads
Bug 28177: Add date column and column configuration to uploads
Bug 28177: (follow-up) Add time to date column

Description Owen Leonard 2021-04-20 13:20:35 UTC
I think it would be useful to add a date column to the table showing uploaded files. Adding column configuration at the same time will let us hide the column by default.
Comment 1 Owen Leonard 2021-05-10 11:51:01 UTC
Created attachment 120767 [details] [review]
Bug 28177: Add date column and column configuration to uploads

This patch adds a "Date added" column to the table showing uploaded
files. Column configuration is added to the table, and the date column
is hidden by default.

To test, apply the patch and restart all.

- Go to Tools -> Upload.
- If necessary, upload multiple files with the same category.
- Use the "Search uploads by category" form to find those uploads.
- In the table of uploads, confirm that table settings and other
  DataTable controls work correctly, including the option to show the
  "Date added" column.
- Go to Administration -> Table settings -> Tools -> upload.
- Change the settings for the uploads table.
- Return to Uploads and confirm that your changes are reflected in the
  display of the uploads table.
Comment 2 Lucas Gass 2021-05-10 17:34:34 UTC
This works great I just have one question. Do you think it would be handy to also include the time stamp along with the date? I don't use this tool a lot but it seems like it could be helpful if you were uploading many files on the same day.
Comment 3 Salman Ali 2021-06-11 17:11:53 UTC
Created attachment 121868 [details] [review]
Bug 28177: Add date column and column configuration to uploads

This patch adds a "Date added" column to the table showing uploaded
files. Column configuration is added to the table, and the date column
is hidden by default.

To test, apply the patch and restart all.

- Go to Tools -> Upload.
- If necessary, upload multiple files with the same category.
- Use the "Search uploads by category" form to find those uploads.
- In the table of uploads, confirm that table settings and other
  DataTable controls work correctly, including the option to show the
  "Date added" column.
- Go to Administration -> Table settings -> Tools -> upload.
- Change the settings for the uploads table.
- Return to Uploads and confirm that your changes are reflected in the
  display of the uploads table.

Signed-off-by: Salman Ali <salman@outaouais>
Comment 4 Katrin Fischer 2021-07-03 22:16:01 UTC
Created attachment 122584 [details] [review]
Bug 28177: Add date column and column configuration to uploads

This patch adds a "Date added" column to the table showing uploaded
files. Column configuration is added to the table, and the date column
is hidden by default.

To test, apply the patch and restart all.

- Go to Tools -> Upload.
- If necessary, upload multiple files with the same category.
- Use the "Search uploads by category" form to find those uploads.
- In the table of uploads, confirm that table settings and other
  DataTable controls work correctly, including the option to show the
  "Date added" column.
- Go to Administration -> Table settings -> Tools -> upload.
- Change the settings for the uploads table.
- Return to Uploads and confirm that your changes are reflected in the
  display of the uploads table.

Signed-off-by: Salman Ali <salman.ali@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2021-07-06 08:49:12 UTC
(In reply to Lucas Gass from comment #2)
> This works great I just have one question. Do you think it would be handy to
> also include the time stamp along with the date? I don't use this tool a lot
> but it seems like it could be helpful if you were uploading many files on
> the same day.

Owen?
Comment 6 Owen Leonard 2021-07-06 11:13:51 UTC
Created attachment 122612 [details] [review]
Bug 28177: (follow-up) Add time to date column
Comment 7 Jonathan Druart 2021-07-12 13:49:30 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 8 Kyle M Hall 2021-07-16 13:38:57 UTC
Enhancement not backported for 21.05